# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cc_move - Move a credential cache.

krb5_error_code krb5_cc_move(krb5_context context, krb5_ccache src, krb5_ccache dst)

param

  [in] context - Library context

  [in] src - The credential cache to move the content from

  [in] dst - The credential cache to move the content to

retval

  - 0 Success; src is closed.

return

  - Kerberos error codes; src is still allocated.

This function reinitializes dst and populates it with the credentials and default principal of src ; then, if successful, destroys src .